"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var fs = require("fs");
var path = require("path");
var Configuration = (function () {
    function Configuration() {
    }
    Configuration.load = function (file) {
        var me = this, folder, envFile, data = {}, envData = {};
        file = fs.realpathSync(file);
        if (fs.existsSync(file)) {
            data = JSON.parse(fs.readFileSync(file).toLocaleString());
            folder = path.dirname(file);
            envFile = path.join(folder, ".env.json");
            if (fs.existsSync(envFile)) {
                envData = JSON.parse(fs.readFileSync(envFile).toLocaleString());
            }
            return Object.assign({}, data, envData);
        }
        else {
            throw new Error("Config file not found! " + file);
        }
    };
    return Configuration;
}());
exports.Configuration = Configuration;
//# sourceMappingURL=Configuration.js.map